%define minor 1
%define	_localstatedir	/var/lib
%define	mfsconfdir	%{_sysconfdir}/%{name}

Summary:	MooseFS - distributed, fault tolerant file system
Name:		mfs
Version:	1.6.27
Release:	%mkrel 4
License:	GPL v3
Group:		System/Cluster
URL:		http://www.moosefs.org/
Source0:	http://moosefs.org/tl_files/mfscode/%{name}-%{version}-%{minor}.tar.gz
Source1:	mfschunkserver.init 	
Source2:	mfsmaster.init
Source3: 	mfsmetalogger.init
BuildRequires:	fuse-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel

%description
MooseFS is an Open Source, easy to deploy and maintain, distributed,
fault tolerant file system for POSIX compliant OSes.

%package master
Summary:	MooseFS master server
Group:		System/Cluster

%description master
MooseFS master (metadata) server together with metarestore utility.

%package metalogger
Summary:	MooseFS metalogger server
Group:		System/Cluster

%description metalogger
MooseFS metalogger (metadata replication) server.

%package chunkserver
Summary:	MooseFS data server
Group:		System/Cluster

%description chunkserver
MooseFS data server.

%package client
Summary:	MooseFS client
Group:		System/Cluster

%description client
MooseFS client: mfsmount and mfstools.

%package cgi
Summary:	MooseFS CGI Monitor
Group:		System/Cluster
Requires:	python

%description cgi
MooseFS CGI Monitor.

%prep
%setup -q -n mfs-%{version}
install -m 755 %{SOURCE1} mfschunkserver.init
install -m 755 %{SOURCE2} mfsmaster.init
install -m 755 %{SOURCE3} mfsmetalogger.init

%build
%configure2_5x
# fix libtool issue on release < 2009.1
#if %mdkversion < 200910
#perl -pi -e "s/^ECHO.*/ECHO='echo'\necho='echo'\n/" libtool
#endif
make %{?_smp_mflags}

%install
make install \
	DESTDIR=$RPM_BUILD_ROOT
mkdir -p  %{buildroot}%{_initrddir}
install -m 755 mfschunkserver.init %{buildroot}%{_initrddir}/mfschunkserver
install -m 755 mfsmaster.init %{buildroot}%{_initrddir}/mfsmaster
install -m 755 mfsmetalogger.init %{buildroot}%{_initrddir}/mfsmetalogger

install -d $RPM_BUILD_ROOT%{_initrddir}
 
%pre master
%_pre_useradd mfs /var/lib/mfs /sbin/nologin
%_pre_groupadd mfs mfs

%post
%_post_service mfschunkserver
%_post_service mfsmaster
%_post_service mfsmetalogger

%preun
%_post_service mfschunkserver
%_post_service mfsmaster
%_post_service mfsmetalogger


%files master
%defattr(644,root,root,755)
%doc NEWS README UPGRADE
%attr(755,root,root) %{_sbindir}/mfsmaster
%attr(755,root,root) %{_sbindir}/mfsmetadump
%attr(755,root,root) %{_sbindir}/mfsmetarestore
%{_mandir}/man5/mfsexports.cfg.5*
%{_mandir}/man5/mfsmaster.cfg.5*
%{_mandir}/man7/mfs.7*
%{_mandir}/man7/moosefs.7*
%{_mandir}/man8/mfsmaster.8*
%{_mandir}/man8/mfsmetarestore.8*
%{mfsconfdir}/mfsexports.cfg.dist
%{mfsconfdir}/mfsmaster.cfg.dist
%dir %{_localstatedir}/mfs
%attr(755,mfs,mfs) %{_localstatedir}/mfs
%{_localstatedir}/mfs/metadata.mfs.empty
%attr(754,root,root) %{_initrddir}/mfsmaster

%files metalogger
%defattr(644,root,root,755)
%doc NEWS README UPGRADE
%attr(755,root,root) %{_sbindir}/mfsmetalogger
%{_mandir}/man5/mfsmetalogger.cfg.5*
%{_mandir}/man8/mfsmetalogger.8*
%{mfsconfdir}/mfsmetalogger.cfg.dist
%attr(754,root,root) %{_initrddir}/mfsmetalogger

%files chunkserver
%defattr(644,root,root,755)
%doc NEWS README UPGRADE
%attr(755,root,root) %{_sbindir}/mfschunkserver
%{_mandir}/man5/mfschunkserver.cfg.5*
%{_mandir}/man5/mfshdd.cfg.5*
%{_mandir}/man8/mfschunkserver.8*
%{mfsconfdir}/mfschunkserver.cfg.dist
%{mfsconfdir}/mfshdd.cfg.dist
%attr(754,root,root) %{_initrddir}/mfschunkserver
%{_mandir}/man5/mfstopology.cfg.5*
%{mfsconfdir}/mfstopology.cfg.dist

%files client
%defattr(644,root,root,755)
%doc NEWS README UPGRADE
%attr(755,root,root) %{_bindir}/mfsappendchunks
%attr(755,root,root) %{_bindir}/mfscheckfile
%attr(755,root,root) %{_bindir}/mfsdeleattr
%attr(755,root,root) %{_bindir}/mfsdirinfo
%attr(755,root,root) %{_bindir}/mfsfileinfo
%attr(755,root,root) %{_bindir}/mfsfilerepair
%attr(755,root,root) %{_bindir}/mfsgeteattr
%attr(755,root,root) %{_bindir}/mfsgetgoal
%attr(755,root,root) %{_bindir}/mfsgettrashtime
%attr(755,root,root) %{_bindir}/mfsmakesnapshot
%attr(755,root,root) %{_bindir}/mfsmount
%attr(755,root,root) %{_bindir}/mfsrgetgoal
%attr(755,root,root) %{_bindir}/mfsrgettrashtime
%attr(755,root,root) %{_bindir}/mfsrsetgoal
%attr(755,root,root) %{_bindir}/mfsrsettrashtime
%attr(755,root,root) %{_bindir}/mfsseteattr
%attr(755,root,root) %{_bindir}/mfssetgoal
%attr(755,root,root) %{_bindir}/mfssettrashtime
%attr(755,root,root) %{_bindir}/mfssnapshot
%attr(755,root,root) %{_bindir}/mfstools
%attr(755,root,root) %{mfsconfdir}/mfsmount.cfg.dist
%{_mandir}/man1/mfsappendchunks.1*
%{_mandir}/man1/mfscheckfile.1*
%{_mandir}/man1/mfsdeleattr.1*
%{_mandir}/man1/mfsdirinfo.1*
%{_mandir}/man1/mfsfileinfo.1*
%{_mandir}/man1/mfsfilerepair.1*
%{_mandir}/man1/mfsgeteattr.1*
%{_mandir}/man1/mfsgetgoal.1*
%{_mandir}/man1/mfsgettrashtime.1*
%{_mandir}/man1/mfsmakesnapshot.1*
%{_mandir}/man1/mfsrgetgoal.1*
%{_mandir}/man1/mfsrgettrashtime.1*
%{_mandir}/man1/mfsrsetgoal.1*
%{_mandir}/man1/mfsrsettrashtime.1*
%{_mandir}/man1/mfsseteattr.1*
%{_mandir}/man1/mfssetgoal.1*
%{_mandir}/man1/mfssettrashtime.1*
%{_mandir}/man1/mfstools.1*
%{_mandir}/man7/mfs.7*
%{_mandir}/man7/moosefs.7*
%{_mandir}/man8/mfsmount.8*

%files cgi
%defattr(644,root,root,755)
%doc NEWS README UPGRADE
%attr(755,root,root) %{_sbindir}/mfscgiserv
%{_mandir}/man8/mfscgiserv.8*
%attr(755,mfs,mfs) %{_datadir}/mfscgi





%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.6.27-4.mga6
+ Revision: 936388
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.27-3.mga5
+ Revision: 750853
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.27-2.mga5
+ Revision: 682372
- Mageia 5 Mass Rebuild

* Fri Nov 22 2013 dlucio <dlucio> 1.6.27-1.mga4
+ Revision: 552378
- imported package mfs


* Wed Jun 08 2011 Leonardo Coelho <leonardoc@mandriva.com> 1.6.20-2mdv2011.0
+ Revision: 683304
- bump version
- create mfs user and permissions

* Mon May 30 2011 Leonardo Coelho <leonardoc@mandriva.com> 1.6.20-1
+ Revision: 681886
- package creation on mandriva
- Created package structure for mfs.

